Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.dipendentessr.vo.variazionirapportolavoro
Class VariazioniRapportoLavoroRequest

    java.lang.Object
      it.svimservice.nsisr.web.ws.dipendentessr.vo.variazionirapportolavoro.VariazioniRapportoLavoroRequest

    public class VariazioniRapportoLavoroRequest

extends java.lang.Object

Richiesta per il servizio setVariazioniRapportoLavoro.

Field Summary
`private AggiornamentoRapportoLavoro` | `aggiornamentoRapportoLavoro` Dati per l'aggiornamento del rapporto di lavoro.
`private ChiusuraRapportoLavoro` | `chiusuraRapportoLavoro` Dati per la chiusura del rapporto di lavoro.
`private java.lang.String` | `codAziendaAppartenenza` Codice nazionale azienda di appartenenza.
`private java.lang.String` | `codiceFiscale` Codice fiscale del dipendente.
`private java.lang.String` | `dataInizioRapporto` Data di inizio del rapporto di lavoro oggetto delle variazioni.
`private VariazioneInquadramentoContrattuale` | `datiInquadramentoContrattuale` Dati per l'inserimento/aggiornamento di un inquadramento contrattuale.
`private VariazioneSedeLavoro` | `datiSedeLavoro` Dati per l'inserimento/aggiornamento di una sede di lavoro.
`private int` | `tipoAziendaAppartenenza` Tipo azienda di appartenenza.
`private int` | `variazioneInquadramentoContrattuale` Codice indicante se la variazione riguarda l'inserimento o l'aggiornamento dell'inquadramento contrattuale.
`private int` | `variazioneRapportoLavoro` Codice indicante se la variazione riguarda la chiusura o l'aggiornamento del rapporto di lavoro.
`private int` | `variazioneSedeLavoro` Codice indicante se la variazione riguarda l'inserimento o l'aggiornamento della sede di lavoro.

Constructor Summary
`VariazioniRapportoLavoroRequest()`

Method Summary
`AggiornamentoRapportoLavoro` | `getAggiornamentoRapportoLavoro()`
`ChiusuraRapportoLavoro` | `getChiusuraRapportoLavoro()`
`java.lang.String` | `getCodAziendaAppartenenza()`
`java.lang.String` | `getCodiceFiscale()`
`java.lang.String` | `getDataInizioRapporto()`
`VariazioneInquadramentoContrattuale` | `getDatiInquadramentoContrattuale()`
`VariazioneSedeLavoro` | `getDatiSedeLavoro()`
`int` | `getTipoAziendaAppartenenza()`
`int` | `getVariazioneInquadramentoContrattuale()`
`int` | `getVariazioneRapportoLavoro()`
`int` | `getVariazioneSedeLavoro()`
`void` | `setAggiornamentoRapportoLavoro(AggiornamentoRapportoLavoro aggiornamentoRapportoLavoro)`
`void` | `setChiusuraRapportoLavoro(ChiusuraRapportoLavoro chiusuraRapportoLavoro)`
`void` | `setCodAziendaAppartenenza(java.lang.String codAziendaAppartenenza)`
`void` | `setCodiceFiscale(java.lang.String codiceFiscale)`
`void` | `setDataInizioRapporto(java.lang.String dataInizioRapporto)`
`void` | `setDatiInquadramentoContrattuale(VariazioneInquadramentoContrattuale datiInquadramentoContrattuale)`
`void` | `setDatiSedeLavoro(VariazioneSedeLavoro datiSedeLavoro)`
`void` | `setTipoAziendaAppartenenza(int tipoAziendaAppartenenza)`
`void` | `setVariazioneInquadramentoContrattuale(int variazioneInquadramentoContrattuale)`
`void` | `setVariazioneRapportoLavoro(int variazioneRapportoLavoro)`
`void` | `setVariazioneSedeLavoro(int variazioneSedeLavoro)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codiceFiscale

    @Facets(pattern="[a-zA-Z]{6}[0-9 L M N P Q R S T U V]{2}[a-zA-Z]{1}[0-9 L M N P Q R S T U V]{2}[a-zA-Z]{1}[0-9 L M N P Q R S T U V]{3}[a-zA-Z]{1}|[0-9]{11}")
    @MinOccurs(value=1L)
    private java.lang.String codiceFiscale

  Codice fiscale del dipendente.

### dataInizioRapporto

    @Facets(pattern="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}")
    @MinOccurs(value=1L)
    private java.lang.String dataInizioRapporto

  Data di inizio del rapporto di lavoro oggetto delle variazioni.

### codAziendaAppartenenza

    @Facets(maxLength=6L,
            pattern="[0-9]+")
    @MinOccurs(value=1L)
    private java.lang.String codAziendaAppartenenza

  Codice nazionale azienda di appartenenza.

### tipoAziendaAppartenenza

    @Facets(totalDigits=1L,
            pattern="(1|2|3){1}")
    @MinOccurs(value=1L)
    private int tipoAziendaAppartenenza

  Tipo azienda di appartenenza. Può assumere i seguenti valori:
  - 1: Azienda Ospedaliera
  - 2: IRCCS pubblico
  - 3: ASL

### variazioneRapportoLavoro

    @Facets(totalDigits=1L,
            pattern="(0|1|2){1}")
    @MinOccurs(value=1L)
    private int variazioneRapportoLavoro

  Codice indicante se la variazione riguarda la chiusura o l'aggiornamento del rapporto di lavoro. Può assumere i seguenti valori:
  - 0: La variazione non riguarda il rapporto di lavoro.
  - 1: La variazione riguarda la chiusura del rapporto di lavoro.
  - 2: La variazione riguarda l'aggiornamento del rapporto di lavoro.

### aggiornamentoRapportoLavoro

    @MinOccurs(value=0L)
    private AggiornamentoRapportoLavoro aggiornamentoRapportoLavoro

  Dati per l'aggiornamento del rapporto di lavoro. L'elemento è obbligatorio se il campo variazioneRapportoLavoro è uguale a 2, in caso contrario non deve essere presente.

### chiusuraRapportoLavoro

    @MinOccurs(value=0L)
    private ChiusuraRapportoLavoro chiusuraRapportoLavoro

  Dati per la chiusura del rapporto di lavoro. L'elemento è obbligatorio se il campo variazioneRapportoLavoro è uguale a 1, in caso contrario non deve essere presente.

### variazioneInquadramentoContrattuale

    @Facets(totalDigits=1L,
            pattern="(0|1|2){1}")
    @MinOccurs(value=1L)
    private int variazioneInquadramentoContrattuale

  Codice indicante se la variazione riguarda l'inserimento o l'aggiornamento dell'inquadramento contrattuale. Può assumere i seguenti valori:
  - 0: La variazione non riguarda l'inquadramento contrattuale.
  - 1: La variazione riguarda l'inserimento di un nuovo inquadramento contrattuale.
  - 2: La variazione riguarda l'aggiornamento dell'inquadramento contrattuale esistente.

### datiInquadramentoContrattuale

    @MinOccurs(value=0L)
    private VariazioneInquadramentoContrattuale datiInquadramentoContrattuale

  Dati per l'inserimento/aggiornamento di un inquadramento contrattuale. L'elemento è obbligatorio se il campo variazioneInquadramentoContrattuale è uguale a 1 o 2, in caso contrario non deve essere presente.

### variazioneSedeLavoro

    @Facets(totalDigits=1L,
            pattern="(0|1|2){1}")
    @MinOccurs(value=1L)
    private int variazioneSedeLavoro

  Codice indicante se la variazione riguarda l'inserimento o l'aggiornamento della sede di lavoro. Può assumere i seguenti valori:
  - 0: La variazione non riguarda la sede di lavoro.
  - 1: La variazione riguarda una nuova assegnazione di sede di lavoro.
  - 2: La variazione riguarda l'aggiornamento della sede di lavoro esistente.

### datiSedeLavoro

    @MinOccurs(value=0L)
    private VariazioneSedeLavoro datiSedeLavoro

  Dati per l'inserimento/aggiornamento di una sede di lavoro. L'elemento è obbligatorio se il campo variazioneSedeLavoro è uguale a 1 o 2, in caso contrario non deve essere presente.

Constructor Detail

### VariazioniRapportoLavoroRequest

    public VariazioniRapportoLavoroRequest()

Method Detail

### setCodiceFiscale

    public void setCodiceFiscale(java.lang.String codiceFiscale)

### getCodiceFiscale

    public java.lang.String getCodiceFiscale()

### setDataInizioRapporto

    public void setDataInizioRapporto(java.lang.String dataInizioRapporto)

### getDataInizioRapporto

    public java.lang.String getDataInizioRapporto()

### setVariazioneRapportoLavoro

    public void setVariazioneRapportoLavoro(int variazioneRapportoLavoro)

### getVariazioneRapportoLavoro

    public int getVariazioneRapportoLavoro()

### setAggiornamentoRapportoLavoro

    public void setAggiornamentoRapportoLavoro(AggiornamentoRapportoLavoro aggiornamentoRapportoLavoro)

### getAggiornamentoRapportoLavoro

    public AggiornamentoRapportoLavoro getAggiornamentoRapportoLavoro()

### setChiusuraRapportoLavoro

    public void setChiusuraRapportoLavoro(ChiusuraRapportoLavoro chiusuraRapportoLavoro)

### getChiusuraRapportoLavoro

    public ChiusuraRapportoLavoro getChiusuraRapportoLavoro()

### setVariazioneInquadramentoContrattuale

    public void setVariazioneInquadramentoContrattuale(int variazioneInquadramentoContrattuale)

### getVariazioneInquadramentoContrattuale

    public int getVariazioneInquadramentoContrattuale()

### setDatiInquadramentoContrattuale

    public void setDatiInquadramentoContrattuale(VariazioneInquadramentoContrattuale datiInquadramentoContrattuale)

### getDatiInquadramentoContrattuale

    public VariazioneInquadramentoContrattuale getDatiInquadramentoContrattuale()

### setVariazioneSedeLavoro

    public void setVariazioneSedeLavoro(int variazioneSedeLavoro)

### getVariazioneSedeLavoro

    public int getVariazioneSedeLavoro()

### setDatiSedeLavoro

    public void setDatiSedeLavoro(VariazioneSedeLavoro datiSedeLavoro)

### getDatiSedeLavoro

    public VariazioneSedeLavoro getDatiSedeLavoro()

### setCodAziendaAppartenenza

    public void setCodAziendaAppartenenza(java.lang.String codAziendaAppartenenza)

### getCodAziendaAppartenenza

    public java.lang.String getCodAziendaAppartenenza()

### setTipoAziendaAppartenenza

    public void setTipoAziendaAppartenenza(int tipoAziendaAppartenenza)

### getTipoAziendaAppartenenza

    public int getTipoAziendaAppartenenza()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD